#pragma once

struct OverridenTex {
	IDirectDrawSurface4* surf;
	IDirect3DTexture2* tex;
	DDSURFACEDESC2 desc;
};

void OverrideSetup();
char* GetOverridePath();

OverridenTex* GetOverride();

IDirectDrawSurface4* IsTextureInVRam(OverridenTex* ot);
void AddTextureToVRam(OverridenTex* ot, IDirectDrawSurface4* surf);
void RemoveTextureFromVRam(OverridenTex* ot);