#pragma once

//#define CHECKEDBUILD

#define STRICT
#define WIN32_LEAN_AND_MEAN
#define INITGUID
#define DIRECTDRAW_VERSION 0x0600
#define DIRECT3D_VERSION   0x0600
#define WINVER 0x0500
#define _WIN32_WINNT 0x500
#define NTDDI_VERSION NTDDI_WIN2K

#include <windows.h>
#include <ddraw.h>
#include <d3d.h>
#include <stdio.h>

extern DWORD gWidth;
extern DWORD gHeight;

extern DWORD UseCompatibleZBuffer;
extern DWORD UseSysMemOverlay;
extern DWORD ForceGammaReset;
extern DWORD TextOverlayColourKey;
extern DWORD Thief2Extensions;
extern DWORD AnisotropicFiltering;
extern DWORD RefreshRate;
extern char TexturePath[128];

#ifdef _DEBUG
#define LOG(a) OutputDebugStringA(a);
#else
#ifdef CHECKEDBUILD
#define LOG(a) Log(a)
void Log(char* msg);
#else
#define LOG(a) OutputDebugStringA(a);
#endif
#endif